Subject: Re: bug#15194: hop FTBFS

From: Mark H Weaver <[email-masked]>
Date: Thu, 29 Aug 2013 21:35:54 -0400

[email-masked] (Ludovic Courtès) writes:

> Mark H Weaver <[email-masked]> skribis:
>
>> [email-masked] (Ludovic Courtès) writes:
>>
>>> It turns out Hop & Bigloo have to be upgraded in lockstep.  I believe
>>> a new Hop version is around the corner, so I’m tempted to just wait
>>> for that.
>>>
>>> WDYT?
>>
>> I think we should find a solution that doesn't lead to the 'hop' build
>> being broken every time 'bigloo' is upgraded before 'hop'.
>>
>> An obvious solution would be to keep two versions of 'bigloo': the
>> latest release, and the release that corresponds to the latest release
>> of 'hop'.  Hopefully these would be the same most of the time.
>
> Yes, that sounds like a plan.  And hopefully the “old” Bigloo would just
> differ by its ‘version’ and ‘source’ fields, which is easily handled.
>
> Would you like to propose a patch?

I don't actually use 'bigloo' or 'hop' myself, and right now I have my
hands full with a lot of pending work for Guile, so I'd prefer to let
someone else take care of this.  I only know about this problem because
I've been building as many Guix packages as possible, for testing
purposes.

     Regards,
       Mark